/*---------- STARTRUTA MED BILD ----------*/

.heading-card {
	display: flex;
	justify-self: start;
	flex-direction: column;
	flex-wrap: wrap;
	gap: 2rem;
	max-width: 100%;
	padding-right: 1rem;
}

.card-headers > h1 {
	white-space: nowrap;
}

.card-headers > h2 {
	color: var(--lt-blue);
	font-size: clamp(5px, 2vw, 20px);
}

.card-content {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.card-content > p {
	margin-bottom: 1rem;
}

.heading-content > img {
	justify-self: right;
	max-width: 24vw;
	min-width: 15vw;
	height: auto;
	align-self: center;
}


/*---------- LOGO KARUSELL ----------*/

.carousel-container {
    position: relative;
	display: flex;
    align-items: center;
	overflow: hidden;
}

.prev, .next{
	z-index: 1;
	width: 2em;
	height: 2em;
	border-width: 5px;
	background: transparent;
	position: absolute;
	border: none;
	border-top: solid 2px var(--border-blue);
	border-left: solid 2px var(--border-blue);
	border-width: 0.3em;
	border-radius: 0.2em;
}

.prev:hover, .next:hover{
	border-top: solid 2px white;
	border-left: solid 2px white;
	border-width: 0.3em;
}

.prev:active, .next:active{
	width: 1.8em;
	height: 1.8em;
}

.prev {
	transform: rotate(-45deg);
	left: 10px;
}

.next {
	transform: rotate(135deg);
	right: 10px;
}

.carousel-track {
	flex: 1;
    display: flex;
    transition: transform 0.3s ease;
}

.carousel-slide {
	display: flex;
	min-width: 100%;
	justify-content: center;
	padding: 1rem;
}



/*---------- NTK ----------*/

#NTK.info-card-container {
	grid-template-columns: 1fr auto;
	scroll-margin-top: 7rem;
}

.ntk-image-container {
	grid-column: 2;
	display: flex;
	align-items: center;
 	justify-content: center;
	height: 18rem;
	width: 18rem;
	background-color: var(--white);
	border-radius: 50%;
	border: 4px solid var(--border-blue);
}

.ntk-image-container img {
	width: 75%;
	height: 75%;
	object-fit: cover;
}



/*---------- KONTAKT ----------*/

.contact-container {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: 2rem;
	height: auto;
	max-width: 100%;
	justify-content: center;
}

.contact-info-text {
	display: flex;
	flex-direction: column;
	width: 70%;
}

.contact-info-cards {
	display: flex;
	flex-direction: row;
	gap: 1rem;
	align-items: stretch;
	flex-wrap: wrap;
}

/*---------- MOBIL ----------*/
@media only screen and (max-width: 750px) {
	.heading-content {
		grid-template-rows: auto 1fr;
		grid-template-columns: 1fr;
		padding: 10vh 10vw 30vh 10vw;
		height: auto;
		max-width: 100%;
		align-items: center;
		justify-content: center;
	}

	.heading-card {
		grid-row: 2;
		display: flex;
		justify-self: center;
		flex-direction: column;
		gap: 2rem;
		width: auto;
		max-width: 100%;
		padding-right: 0;
		text-align: center;
	}

	.card-headers > h2 {font-size: clamp(1em, 4vw, 1.5em);}

	.card-content {align-items: center;}

	.heading-content > img {
		grid-row: 1;
		justify-self: center;
		max-width: 70%;
		min-width: 70%;
		height: auto;
		align-self: center;
	}

	#NTK.info-card-container {
		grid-template-rows: 1fr auto;
		grid-template-columns: 1fr;
		scroll-margin-top: 7rem;
		justify-content: center;
		align-items: center;
		text-align: center;
	}

	.info-text__buttons {
		align-items: center;
		justify-content: center;
	}

	.ntk-image-container {
		grid-column: 1;
		grid-row: 1;
		justify-self: center;
	}

	.contact-info-text {
		display: flex;
		flex-direction: column;
		width: 100%;
		text-align: center;
		margin: 5vh 0;
	}

	.contact-info-cards {
		display: flex;
		flex-direction: column;
		gap: 1rem;
		align-items: stretch;
		flex-wrap: wrap;
	}

}